## sparsehash 2.0.2

=== experimental/Makefile ===
example: example.o libchash.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

.SUFFIXES: .c .o .h
.c.o:
	$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<

example.o: example.c libchash.h
libchash.o: libchash.c libchash.h

## sparsehash 1.10

=== debian/changelog ===
sparsehash (1.10-1ubuntu1) raring; urgency=low

  * debian/rules:
    - Run tests as part of the build

 -- Michael Terry <mterry@ubuntu.com>  Mon, 11 Feb 2013 14:21:09 -0500

sparsehash (1.10-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 09:07:35 +0100

sparsehash (1.10-1) unstable; urgency=low

  * New upstream release (Closes: #624823)
  * Acknowledge NMU.  Thanks to Didier Raboud.
  * Update to Standards-Version 3.9.2 (no changes) 
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 17 May 2011 15:36:10 -0400

sparsehash (1.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix reverse build-dependencies FTBFS with g++4.6 (Closes: #624819).

 -- Didier Raboud <odyx@debian.org>  Sun, 01 May 2011 23:02:43 +0200

sparsehash (1.6-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.8.3 (no changes) 
  * Add ${misc:Depends} as recommended by lintian

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 24 Jan 2010 23:17:13 -0500

sparsehash (1.5.2-2) unstable; urgency=high

  * libsparsehash-dev replaces earlier versions of sparsehash binary package
    + urgency set to high
    + prevents file conflict (Closes: #540499)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 08 Aug 2009 11:45:57 -0400

sparsehash (1.5.2-1) unstable; urgency=low

  * New upstream release
  * Transition binary package to be named libsparsehash-dev (Closes: #515215)
  * Update to Standards-Version 3.8.2 (no changes)
  * Document differing copyright/licenses of certain documentation files

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 21 Jun 2009 20:36:48 -0400

sparsehash (1.4-1) unstable; urgency=low

  * New upstream release (Closes: #520599)
  * Add /me as uploader and remove Andres Salomon
  * Update packaging
    + Update to Standards-Version 3.8.1 (no changes)
    + Update to debhelper level 5
    + Add watch file
    + Install HTML documentation into /usr/share/doc/sparsehash/html/
    + Register the documentation with doc-base
  * Point to new project home page
  * Make location of hash_fun.h conditional based on compiler version;
    patch from Peter Green (Closes: #520598)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 28 Mar 2009 21:33:21 -0400

sparsehash (1.1-1) unstable; urgency=low

  * New upstream version.

 -- Andres Salomon <dilinger@debian.org>  Fri, 07 Mar 2008 14:25:39 +0000

sparsehash (1.0.2-1) unstable; urgency=low

  * New upstream version (closes: #425138).
  * Update copyright info, as upstream's site has changed.
  * Drop autotools-update.dpatch, as upstream now uses newer autotools.
  * Silence a bunch of lintian warnings; ancient-standards-version,
    debian-rules-ignores-make-clean-error, etc.

 -- Andres Salomon <dilinger@debian.org>  Sat, 05 Jan 2008 23:26:05 +0000

sparsehash (0.4-1) unstable; urgency=low

  * New upstream version.
  * Set up package to use dpatch.
  * Change arch from any to all.
  * Update maintainer to be company alias, add myself and Andres Salomon as
    uploaders.

 -- Wes Chow <wes@senortoad.com>  Thu, 25 May 2006 14:17:25 -0400

sparsehash (0.3-2) unstable; urgency=low

  * Make package description more specific and recommend a C++
    compiler.  Closes #361969.

 -- Wes Chow <wes@senortoad.com>  Tue, 11 Apr 2006 18:00:55 -0400

sparsehash (0.3-1) unstable; urgency=low

  * Google sparsehash library.  See http://goog-sparsehash.sourceforge.net/

 -- Wes Chow <wes@senortoad.com>  Wed, 29 Mar 2006 13:34:19 -0500

=== debian/control ===
Source: sparsehash
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Athena Capital Research <acr-debian@athenacr.com>
Uploaders: Wes Chow <wes@senortoad.com>, Roberto C. Sanchez <roberto@connexer.com>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: autoconf, automake1.9
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/google-sparsehash

Package: libsparsehash-dev
Architecture: all
Depends: ${misc:Depends}
Recommends: c++-compiler
Replaces: sparsehash (<< 1.5.2)
Description: Google's extremely memory-efficient C++ hash_map implementation
 The Google SparseHash project contains several C++ template hash-map
 implementations in use at Google, with different performance
 characteristics, including an implementation that optimizes for space
 and one that optimizes for speed.

Package: sparsehash
Architecture: all
Depends: libsparsehash-dev, ${misc:Depends}
Description: memory-efficient C++ hash_map implementation (transition package)
 The Google SparseHash project contains several C++ template hash-map
 implementations in use at Google, with different performance
 characteristics, including an implementation that optimizes for space
 and one that optimizes for speed.
 .
 This is a transitional package that simply depends on the new
 libsparsehash-dev.  It can be safeley removed.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr
	$(MAKE)
	$(MAKE) check
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log config.status
	dh_clean


INSTALLDIR := $(CURDIR)/debian/tmp/usr
DOCDIR := $(CURDIR)/debian/tmp/usr/share/doc/libsparsehash-dev

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) prefix=$(INSTALLDIR) docdir=$(DOCDIR) install
	install -m 755 -d $(DOCDIR)/html
	mv $(DOCDIR)/*.html $(DOCDIR)/*.css $(DOCDIR)/html/

	# fix non-Debian kosher aspects of build
	rm -f $(DOCDIR)/ChangeLog $(DOCDIR)/COPYING $(DOCDIR)/INSTALL
	[ -s $(DOCDIR)/NEWS ] || rm -f $(DOCDIR)/NEWS
	rm -f $(DOCDIR)/README.windows

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir='debian/tmp' --autodest
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

http://code.google.com/p/google-sparsehash/downloads/list http://google-sparsehash.googlecode.com/files/sparsehash-(.*)\.tar\.gz

## sparsehash 2.0.2

=== debian/changelog ===
sparsehash (2.0.2-1) unstable; urgency=low

  * New upstream release (Closes: #705974)
  * Update watch file
  * Stop build depending on outdated automake, thanks to Eric Dorland for
    the patch (Closes: #724437)
  * Update to Standards-Version 3.9.5
    + debian/rules: add build-arch and build-indep targets
  * Run tests during build, thanks to Michael Terry for the patch
    (Closes: #700339)
  * Drop obsolete binary transition package (sparsehash)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 11 Mar 2014 19:15:30 -0400

=== debian/control ===
Source: sparsehash
Section: libdevel
Priority: optional
Maintainer: Athena Capital Research <acr-debian@athenacr.com>
Uploaders: Wes Chow <wes@senortoad.com>, Roberto C. Sanchez <roberto@connexer.com>
Build-Depends: debhelper (>= 5), dh-autoreconf
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/google-sparsehash

Package: libsparsehash-dev
Architecture: all
Depends: ${misc:Depends}
Recommends: c++-compiler
Replaces: sparsehash (<< 1.5.2)
Description: Google's extremely memory-efficient C++ hash_map implementation
 The Google SparseHash project contains several C++ template hash-map
 implementations in use at Google, with different performance
 characteristics, including an implementation that optimizes for space
 and one that optimizes for speed.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
+	dh_autoreconf
 	./configure --prefix=/usr
 	$(MAKE)
 	$(MAKE) check

=== debian/watch ===
version=3

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
downloadurlmangle=s%.*/([^/]*)/downloads/detail\?name=([^=&]*).*%http://$1.googlecode.com/files/$2%,filenamemangle=s/.*name=([^&]+).*/$1/ \
http://code.google.com/p/google-sparsehash/downloads/list?can=1 .*=sparsehash-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|zip).*

## sparsehash 2.0.3

=== debian/changelog ===
sparsehash (2.0.3-2) unstable; urgency=medium

  * Update to Standards-Version 4.5.0 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 24 Apr 2020 23:16:17 -0400

sparsehash (2.0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #917936)
  * Update watch file
  * Remove Wes Chow from Uploaders (thanks for your hard work)
  * Update to dh compat level 10
  * Improve Multi-Arch hints (Closes: #901693)
  * Update to Standards-Version 4.4.0 (no changes)
  * Update upstream homepage URL
  * Build with newer compiler to eliminate obsolete tr1 refs (Closes: #914337)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 26 Aug 2019 15:55:46 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: libdevel
 Priority: optional
 Maintainer: Athena Capital Research <acr-debian@athenacr.com>
-Uploaders: Wes Chow <wes@senortoad.com>, Roberto C. Sanchez <roberto@connexer.com>
-Build-Depends: debhelper (>= 5), dh-autoreconf
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/google-sparsehash
+Uploaders: Roberto C. Sanchez <roberto@connexer.com>
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.5.0
+Homepage: https://github.com/sparsehash/sparsehash
 
 Package: libsparsehash-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: c++-compiler
 Replaces: sparsehash (<< 1.5.2)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# Check to make sure pkg-config script version matches actual package version
	export PKG_CONFIG_SCRIPT_VERSION=$$(grep '^Version: ' $(CURDIR)/debian/libsparsehash-dev/usr/share/pkgconfig/libsparsehash.pc | cut -f2 -d' ') ; \
	[ "$(DEB_VERSION_UPSTREAM)" = "$$PKG_CONFIG_SCRIPT_VERSION" ] || \
		(echo "debian/changelog upstream version '$(DEB_VERSION_UPSTREAM)' does not match .pc script version '$$PKG_CONFIG_SCRIPT_VERSION'"; exit 1)
	# Fix upstream doc install locations
	install -d $(CURDIR)/debian/libsparsehash-dev/usr/share/doc/libsparsehash-dev/html
	mv $(CURDIR)/debian/libsparsehash-dev/usr/share/doc/libsparsehash-dev/*.html $(CURDIR)/debian/libsparsehash-dev/usr/share/doc/libsparsehash-dev/html/
	mv $(CURDIR)/debian/libsparsehash-dev/usr/share/doc/libsparsehash-dev/*.css $(CURDIR)/debian/libsparsehash-dev/usr/share/doc/libsparsehash-dev/html/
	rm -f $(CURDIR)/debian/libsparsehash-dev/usr/share/doc/libsparsehash-dev/ChangeLog
	rm -f $(CURDIR)/debian/libsparsehash-dev/usr/share/doc/libsparsehash-dev/COPYING
	rm -f $(CURDIR)/debian/libsparsehash-dev/usr/share/doc/libsparsehash-dev/INSTALL
	rm -f $(CURDIR)/debian/libsparsehash-dev/usr/share/doc/libsparsehash-dev/README_windows.txt

=== debian/watch ===
version=4
https://github.com/sparsehash/sparsehash/tags (?:[^\d\.]*)?v?(\d[\d\.]*)\.tar\.gz
